Bug 28623 - Обновить до последней версии 1.0.2
: Обновить до последней версии 1.0.2
Status: CLOSED FIXED
: Branch t6
(All bugs in Branch t6/libopus)
: не указана
: all Linux
: P3 enhancement
Assigned To:
:
: http://opus-codec.org/downloads/
:
:
:
  Show dependency tree
 
Reported: 2013-03-02 00:45 by
Modified: 2013-03-05 18:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-03-02 00:45:00
Необходимо для сборки плагина поддержки формата opus в Qmmp.
------- Comment #1 From 2013-03-02 15:16:41 -------
придется пересобрать такие пакеты, как 
vlc|libopus-devel
xulrunner|libopus-devel
надо их майнтайнеров тормошить, получать согласие...
------- Comment #2 From 2013-03-03 22:43:28 -------
(В ответ на комментарий №1)
> придется пересобрать такие пакеты, как 
> vlc|libopus-devel
> xulrunner|libopus-devel
> надо их майнтайнеров тормошить, получать согласие...

Что скажут уважаемые товарищи?
------- Comment #3 From 2013-03-03 23:02:55 -------
(В ответ на комментарий №1)
> придется пересобрать такие пакеты, как 
> vlc|libopus-devel
> xulrunner|libopus-devel
> надо их майнтайнеров тормошить, получать согласие...

Не знаю как в ваших бранчах, а в сизифе xulrunner не использует системный
libopus. Присутствие libopus-devel в BuildRequires в сизифной версии связано с
моей попыткой отучить его использовать внутреннюю версию. Попытка была
безуспешная.

Кстати, искать по сборочным зависимостям неправильно. Если бы вы искали по тем,
кто её действительно использует то было бы видно, что xulrunner среди них нет.

$ apt-cache whatdepends libopus
libopus-1.0.1-alt0.1.rc2
  libopus-devel-1.0.1-alt0.1.rc2
    Для установки требует: libopus = 1.0.1-alt0.1.rc2
  vlc-plugin-opus-2.0.5-alt1
    Требует: <libopus.so.0()(64bit)>
      libopus-1.0.1-alt0.1.rc2
  opus-tools-0.1.4-alt1
    Требует: <libopus.so.0()(64bit)>
      libopus-1.0.1-alt0.1.rc2
------- Comment #4 From 2013-03-04 00:15:17 -------
я не интересуюсь тем, что происходит в бранчах.
------- Comment #5 From 2013-03-04 02:42:50 -------
в общем, можно обновлять, я завтра подготовлю тестовое обновление.
------- Comment #6 From 2013-03-05 00:32:14 -------
прошло в t6.
------- Comment #7 From 2013-03-05 18:34:53 -------
(В ответ на комментарий №6)
> прошло в t6.

Благодарствую :)